Bug 222036 - deskutils/go-for-it: unbreak build with vala 0.36
Summary: deskutils/go-for-it: unbreak build with vala 0.36
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Carlos J. Puga Medina
URL:
Keywords:
Depends on:
Blocks: 221941
  Show dependency treegraph
 
Reported: 2017-09-03 22:00 UTC by Carlos J. Puga Medina
Modified: 2017-09-13 02:29 UTC (History)
1 user (show)

See Also:
neel: maintainer-feedback+


Attachments
patch (1.10 KB, patch)
2017-09-03 22:00 UTC, Carlos J. Puga Medina
no flags Details | Diff
patch (1.13 KB, patch)
2017-09-05 12:08 UTC, Carlos J. Puga Medina
cpm: maintainer-approval? (neel)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J. Puga Medina freebsd_committer 2017-09-03 22:00:40 UTC
Created attachment 186043 [details]
patch

/wrkdirs/usr/ports/deskutils/go-for-it/work/Go-For-It-release_v1.5/src/TaskStore.vala:89.22-89.25: error: Argument 1: Cannot pass value to reference or output parameter
        this.remove (iter);
                     ^^^^

build log: http://package23.nyi.freebsd.org/data/110i386-default-PR221941/2017-08-31_07h56m24s/logs/go-for-it-1.5.log
Comment 1 Neel Chauhan 2017-09-04 13:31:21 UTC
Seems good to me.
Comment 2 Carlos J. Puga Medina freebsd_committer 2017-09-05 12:08:12 UTC
Created attachment 186076 [details]
patch

Update patch to make it compatible with current vala 0.30 version.
Comment 3 commit-hook freebsd_committer 2017-09-13 02:28:25 UTC
A commit references this bug:

Author: cpm
Date: Wed Sep 13 02:27:37 UTC 2017
New revision: 449749
URL: https://svnweb.freebsd.org/changeset/ports/449749

Log:
  deskutils/go-for-it: unbreak build with vala 0.36

  /wrkdirs/usr/ports/deskutils/go-for-it/work/Go-For-It-release_v1.5/src/TaskStore.vala:89.22-89.25: error: Argument 1: Cannot pass value to reference or output parameter
          this.remove (iter);
                       ^^^^

  While I'm here, pet portlint, USE_* comes before USES

  PR:		222036
  Submitted by:	cpm
  Approved by:	Neel Chauhan <neel@neelc.org> (maintainer)

Changes:
  head/deskutils/go-for-it/Makefile
  head/deskutils/go-for-it/files/
  head/deskutils/go-for-it/files/patch-src_TaskStore.vala
Comment 4 Carlos J. Puga Medina freebsd_committer 2017-09-13 02:29:12 UTC
Committed!

Thanks